<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form>
            <s:div id="globalDiv">
                <h1>#{messages['gazelle.hl7.validator.UserPreferences']}</h1>
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">
                        #{messages['gazelle.hl7.validator.UserPreferences']}
                    </ui:define>
                    <h:outputText
                            value="#{messages['gazelle.hl7.validator.ThisPageIsDedicatedToTheManagementOfAccessesForU']}"/>
                    <s:div id="usersTableDiv">
                        <rich:dataTable id="usersTable" value="#{userManager.getAllAvailableUsers()}" rows="#{dataScrollerMemory.numberOfResultsPerPage}" var="user"
                                        render="ds">
                            <g:column sortBy="#{user.username}" filterBy="#{user.username}" filterEvent="onkeyup"
                                      sortOrder="ascending">
                                <ui:define name="header">#{messages['gazelle.hl7.validator.Username']}</ui:define>
                                <h:outputText value="#{user.username}"/>
                            </g:column>
                            <g:column>
                                <ui:define name="header">#{messages['gazelle.hl7.validator.AllowedIPAddresses']}</ui:define>
                                <rich:list value="#{user.allowedIPAddresses}" var="ip" type="unordered">
                                    <h:outputText value="#{ip.ipAddress}"/>
                                </rich:list>
                            </g:column>
                            <g:column id="actionColumn">
                                <ui:define name="header">#{messages['gazelle.hl7mpr.Action']}</ui:define>
                                <h:commandLink id="editButton"
                                               title="Edit"
                                               action="#{userManager.editUser(user)}"
                                               oncomplete="jq162('#iconPopup').modal('show');">
                                    <span class="gzl-icon-pencil"></span>
                                </h:commandLink>
                                <a4j:commandLink id="deleteButton"
                                                 action="#{userManager.setSelectedPreferences(user)}"
                                                 title="Delete"
                                                 onclick="jq162('#deletePopup').modal('show');">
                                    <span class="gzl-icon-trash-o"></span>
                                </a4j:commandLink>
                            </g:column>
                            <f:facet name="footer">
                                <ui:include src="/util/datatableFooter.xhtml">
                                    <ui:param name="dataScrollerId" value="ds"/>
                                    <ui:param name="dataTableId" value="usersTable"/>
                                </ui:include>
                            </f:facet>
                        </rich:dataTable>
                    </s:div>
                    <ui:define name="panel_footer">
                        <a4j:commandButton value="#{messages['gazelle.hl7.validator.AddUser']}"
                                           action="#{userManager.editUser(null)}" styleClass="gzl-btn-green"/>
                    </ui:define>
                </ui:decorate>
            </s:div>
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="deletePopup"/>
                <ui:param name="styleClass" value="modal-sm"/>
                <ui:param name="headerStyleClass" value="gzl-text-red"/>
                <ui:define name="popup_title">
                    <span class="fa fa-exclamation-triangle"></span>
                    Delete user #{userManager.selectedPreferences.username} ?
                </ui:define>
                <ui:param name="bodyStyleClass" value="bg-warning"/>
                <p>Are you sure to delete the user #{userManager.selectedPreferences.username} ?</p>
                <ui:define name="popup_footer">
                    <a4j:commandButton value="Delete"
                                       action="#{userManager.deleteSelectedUser()}"
                                       render="usersTableDiv,messageDecoration"
                                       oncomplete="jq162('#deletePopup').modal('hide');"
                                       styleClass="gzl-btn-red"/>
                    <a4j:commandButton value="Cancel"
                                       styleClass="gzl-btn"
                                       oncomplete="jq162('#deletePopup').modal('hide');"/>
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>
